# UV Sensor #

## Introduction ##

The UV Sensor is used for detecting the intensity of incident ultraviolet(UV) radiation. This form of electromagnetic radiation has shorter wavelengths than visible radiation. The UV Sensor is based on the sensor GUVA-S12D which has a wide spectral range of 200nm-400nm. The module outputs electrical signal which varies with the UV intensity, which gives your suggestion if it is a good idea to beach today.


## Feature ##

- High stability
- Good Sensitivity
- Low power consumption
- Schottky type photodiode sensor
- Wide response range
- Grove Interface

## Specification ##

<table>
<tr>
  <th>PCB size</th>
  <td>33mm X 14mm X 1.6mm</td>
</tr>
<tr>
  <th>Power supply</th>
  <td>3.3/5V DC</td>
</tr>
<tr>
  <th>Compatible interfaces</th>
  <td>2.54 3-pin interface and 4-pin Grove interface*</td>
</tr>
</table>

Note 1： S for analog output port, V and G for voltage at the common collector and ground respectively


## Electrical Characteristics ##

<table>
<tr>
  <th>Parameter</th>
  <th>Min.</th>
  <th>Typical</th>
  <th>Max.</th>
  <th>Unit</th>
</tr>
<tr>
  <td>Operating Voltage</td>
  <td>3.0</td>
  <td>5</td>
  <td>5.5</td>
  <td>VDC</td>
</tr>
<tr>
  <td>Current</td>
  <td> </td>
  <td>0.3</td>
  <td> </td>
  <td>mA</td>
</tr>
<tr>
  <td>Output Voltage</td>
  <td>0</td>
  <td> </td>
  <td>VCC</td>
  <td>VDC</td>
</tr>
<tr>
  <td>Response wavelength</td>
  <td>200</td>
  <td>~</td>
  <td>370</td>
  <td>nm</td>
</tr>
</table>

## Usage ##

UV sensors are used in many different applications. Examples include pharmaceuticals, automobiles, and robotics. UV sensors are also used in the printing industry for solvent handling and dyeing processes. In addition, UV sensors are also used in the chemical industry for the production, storage, and transportation of chemicals.
The fact of the UV sensor work is: In sunlight, the UV index and Photocurrent are a linear relationship.

加typical special responsivity.jpg图片


About our UV Sensor, we have converted Photocurrent to corresponding voltage value collected by Arduino/Iteaduino. The output voltage and the UV index is linear:
illumination intensity = 307 * Vsig
where: 
Vsig is the value of voltage measured from the SIG pin of the Grove interface, unit V.
illumination intensity unit: mW/m2 for the combination strength of UV light with wavelength range: 240nm~370nm
Note: To calculate the UV index value, please refer to http://www2.epa.gov/sunwise/uv-index. It's hard to say that the measurement from this sensor can be converted to the EPA standard UV index, but can be estimated roughly.
UV Index = illumination intensity / 200

## Example ##
Connect it to A0 port of Iteaduino UNO.

The demo code as show below.

	void setup(){
 
 	 Serial.begin(9600);
	}
 
	void loop()
	{  
 	 int sensorValue;
 	 long  sum=0;
  	for(int i=0;i<1024;i++)
  	 {  
  	    sensorValue=analogRead(A0);
  	    sum=sensorValue+sum;
  	    delay(2);
  	 }   
	 sum = sum >> 10;
 	Serial.print("The voltage value:");
 	Serial.print(sum*4980.0/1023.0);
	 Serial.println("mV");
	 delay(20);
	 Serial.print("\n");
 
	}

